[med-svn] r13543 - trunk/packages/gnuhealth/trunk/debian

Emilien Klein e2jk-guest at alioth.debian.org
Sat May 11 20:53:23 UTC 2013


Author: e2jk-guest
Date: 2013-05-11 20:53:22 +0000 (Sat, 11 May 2013)
New Revision: 13543

Added:
   trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postinst
   trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postrm
Log:
First simplified gnuhealth-client: symlink the gnuhealth command to tryton


Added: trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postinst
===================================================================
--- trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postinst	                        (rev 0)
+++ trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postinst	2013-05-11 20:53:22 UTC (rev 13543)
@@ -0,0 +1,42 @@
+#!/bin/sh
+# postinst script for gnuhealth-client
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postinst> `configure' <most-recently-configured-version>
+#        * <old-postinst> `abort-upgrade' <new version>
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+#          <new-version>
+#        * <postinst> `abort-remove'
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+#          <failed-install-package> <version> `removing'
+#          <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    configure)
+        # Symlink gnuhealth to tryton
+        ln -s /usr/bin/tryton /usr/bin/gnuhealth > /dev/null 2>&1 || true
+    ;;
+
+    abort-upgrade|abort-remove|abort-deconfigure)
+    ;;
+
+    *)
+        echo "postinst called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+

Added: trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postrm
===================================================================
--- trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postrm	                        (rev 0)
+++ trunk/packages/gnuhealth/trunk/debian/gnuhealth-client.postrm	2013-05-11 20:53:22 UTC (rev 13543)
@@ -0,0 +1,43 @@
+#!/bin/sh
+# postrm script for gnuhealth-client
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+#        * <postrm> `remove'
+#        * <postrm> `purge'
+#        * <old-postrm> `upgrade' <new-version>
+#        * <new-postrm> `failed-upgrade' <old-version>
+#        * <new-postrm> `abort-install'
+#        * <new-postrm> `abort-install' <old-version>
+#        * <new-postrm> `abort-upgrade' <old-version>
+#        * <disappearer's-postrm> `disappear' <overwriter>
+#          <overwriter-version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+    purge)
+        # Remove gnuhealth symlink
+        rm -f /usr/bin/gnuhealth > /dev/null 2>&1 || true
+    ;;
+
+    remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
+    ;;
+
+    *)
+        echo "postrm called with unknown argument \`$1'" >&2
+        exit 1
+    ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0
+




More information about the debian-med-commit mailing list